Bug 195047 - [ews-app] Update method to save build to handle builder_display_name
Summary: [ews-app] Update method to save build to handle builder_display_name
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-26 07:01 PST by Aakash Jain
Modified: 2019-02-28 04:30 PST (History)
10 users (show)

See Also:


Attachments
Proposed patch (4.56 KB, patch)
2019-02-26 07:08 PST, Aakash Jain
dewei_zhu: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-02-26 07:01:37 PST
After https://bugs.webkit.org/show_bug.cgi?id=194961, ews-app's build table also include builder_name and builder_display_name. We should update the corresponding methods to save build accordingly.
Comment 1 Aakash Jain 2019-02-26 07:08:01 PST
Created attachment 362983 [details]
Proposed patch
Comment 2 Aakash Jain 2019-02-26 07:09:58 PST
Tested on a local instance.
Comment 3 EWS Watchlist 2019-02-26 07:10:56 PST Comment hidden (obsolete)
Comment 4 Jonathan Bedard 2019-02-26 10:13:18 PST
This almost feels like this should have been contained in <https://bugs.webkit.org/show_bug.cgi?id=194961>, any reason to separate them?
Comment 5 Aakash Jain 2019-02-26 13:17:22 PST
> any reason to separate them?
I have been making smaller patches to make them easier to review. Previous reviewers found it easier to review multiple smaller patches as compared to a large patch.
Comment 6 dewei_zhu 2019-02-27 15:19:08 PST
Comment on attachment 362983 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362983&action=review

> Tools/BuildSlaveSupport/ews-app/ews/views/results.py:81
> +                                            'number', 'result', 'state_string', 'started_at', 'complete_at'],

Nit: we need a consistent indentation. Usually 4 spaces.
Comment 7 Aakash Jain 2019-02-28 04:29:14 PST
Committed r242198: <https://trac.webkit.org/changeset/242198>
Comment 8 Radar WebKit Bug Importer 2019-02-28 04:30:37 PST
<rdar://problem/48470453>